@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
}

body{
    min-height:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
    padding:20px;
    background:url("./clima.jpg") center/cover no-repeat;
}

.container{
    width:100%;
    max-width:420px;

    backdrop-filter:blur(15px);
    background:rgba(0,0,0,0.55);

    border:1px solid rgba(255,255,255,0.15);

    border-radius:24px;

    padding:24px;

    box-shadow:
        0 10px 30px rgba(0,0,0,.35);
}

.header-city{
    display:flex;
    gap:12px;
}

.input-city{
    flex:1;

    height:50px;

    border:none;

    border-radius:14px;

    padding:0 16px;

    font-size:16px;

    background:rgba(255,255,255,.15);

    color:#fff;

    outline:none;
}

.input-city::placeholder{
    color:rgba(255,255,255,.7);
}

.searh-container{
    width:50px;
    height:50px;

    display:flex;
    justify-content:center;
    align-items:center;

    border-radius:14px;

    background:rgba(255,255,255,.15);

    cursor:pointer;

    transition:.3s;
}

.searh-container:hover{
    background:rgba(255,255,255,.25);
}

.search-icon{
    width:22px;
}

.city{
    margin-top:24px;

    font-size:28px;

    color:#fff;

    font-weight:600;

    text-transform:capitalize;

    display:none;
}

.container-meio{
    display:none;
    margin-top:20px;
}

.container-icon{
    display:flex;
    flex-direction:column;
    align-items:center;
    text-align:center;
    gap:10px;
}



.wheather{
    font-size:52px;
    font-weight:600;
    color:#fff;
}

.text-weather{
    font-size:18px;
    color:#fff;
}

.humidity{
    font-size:15px;
    color:#d9d9d9;
}

p{
    margin:0;
}